Section ID:
DOC-API-MODEL-schema-1i84dsgmg6#overview
ConversationThread
Lightweight conversation-thread registry record used for managing multiple threads.
Meaning and usage
Section ID: DOC-API-MODEL-schema-1i84dsgmg6#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-1i84dsgmg6#fields
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
Section ID: DOC-API-MODEL-schema-1i84dsgmg6#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1i84dsgmg6#field-threadidSection ID: DOC-API-MODEL-schema-1i84dsgmg6#response-field-threadidthreadId | string | Optional | See meaning below. |
Section ID: DOC-API-MODEL-schema-1i84dsgmg6#field-titleSection ID: DOC-API-MODEL-schema-1i84dsgmg6#response-field-titletitle | string | Optional | Display title of the conversation thread. |
tags | Array of string | Optional | Labels associated with the resource for organization or filtering. |
Section ID: DOC-API-MODEL-schema-1i84dsgmg6#field-createdatSection ID: DOC-API-MODEL-schema-1i84dsgmg6#response-field-createdatcreatedAt | string (date-time) | Optional | Time when this record was created. |
Section ID: DOC-API-MODEL-schema-1i84dsgmg6#field-updatedatSection ID: DOC-API-MODEL-schema-1i84dsgmg6#response-field-updatedatupdatedAt | string (date-time) | Optional | Time when this record was last updated. |
Section ID: DOC-API-MODEL-schema-1i84dsgmg6#field-externalidSection ID: DOC-API-MODEL-schema-1i84dsgmg6#response-field-externalidexternalId | string | Optional | Caller-supplied identifier associated with the conversation thread. |
threadId
Identifier of the conversation thread.
key used for ConversationActorService
Where used
Section ID: DOC-API-MODEL-schema-1i84dsgmg6#where-used
| Reference | Relationship |
|---|---|
| Create a new conversation thread | POST /api/v1/llm/create-thread |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-1i84dsgmg6